Subject: Re: IPv10.

From: Musa Stephen Honlue <[email-masked]>
Date: Fri, 11 Nov 2016 22:35:10 +0400

2016-11-11 21:37 GMT+04:00 Khaled Omar <[email-masked]>:

> Hi Musa,
>
>
>
> The idea of IPv10 comes because there is almost no full migration to IPv6
> accomplished by enterprises in the past 18 years since IPv6 was developed
> in 1998.
>

If by full migration, you mean all apps and services on IPv6, then you are
absolutely wrong, I know more than one organizations(including where I
work) that are fully IPv6 for years now.

And to know how IPv6 deployment is going on around the globe, have a look
at[1],  [2], and [3].

[1].
https://www.google.com/intl/en/ipv6/statistics.html#tab=per-country-ipv6-adoption&tab=per-country-ipv6-adoption
[2]. http://stats.labs.apnic.net/v6pop
[3]. http://www.worldipv6launch.org/measurements/

Recently in Zimbabwe, LIQUID Telecom, deployed full IPv6 and are now
providing it to all it's customers and they are also planing to do same in
other countries where they are present. This is just one example, if you
looked at the above links, you will actually realize that IPv6 is making
his way bit by bit.

>
>
> IPv4 still dominating in the Internet traffic, and in 2015, 4/5 of the
> RIRs announced the depletion of the IPv4 address space.
>

This is the reason why we should move to IPv6. IPv4 is now obsolete
because, it is not more capable of serving the purpose of the
Internet(Connecting everyone).

>
>
> New enterprises that needs to connect to the Internet will get IPv6
> addresses as there are no more IPv4 addresses any more.
>
>
>
> The number of new clients requesting an IP address will get IPv6 and this
> number will increase by time, on the other hand, IPv4 clients do not
> migrate to IPv6 or even use Dual Stacks for many reason (lack of support
> within the enterprise, fear of service outage, etc.)
>

And what would these clients do when there is no more IPv4 at all and that
they need to connect new devices to their networks?

Probably get one part of their network on IPv4 and the other one on IPv6?

>
>
> So, we will see two group of people connecting to the Internet, IPv4 only
> hosts, and IPv6 only hosts, these two sides offering services for people to
> use through the Internet, but these two sides cannot communicate to each
> other because they use two different versions of IPs.
>
>
>
> IPv10 can be used by all Internet hosts to allow these two groups to be
> able to communicate to each other, so we will not need to think about the
> migration anymore and keep depending on enterprise users who should do this
> migration, and instead we will allow these enterprise users to keep using
> the preferred version and still be able to connect to 100% of the Internet
> as all are using IPv10.
>

IPv4 and IPv6 are two separate stacks, they do not understand each other,
how are you planing to make this work? Will you ask vendors to invest huge
amounts  just because they want to keep IPv4 nodes working while people
could fully migrate to IPv6?

On the other hand do you understand that having both IPv4 and IPv6 on the
network, you will have to develop policies and deal with issues for the two
types of traffics?

>
>
> IPv10 can be deployed easily by technology companies as it is a software
> development issue and enterprise users will keep using their own IP version
> and can communicate to the other IP version.
>
>
>
> That’s it, so IPv10 can be a transitioning solution if some people (very
> big number) will keep using IPv4, then they will still be able to access
> 100% of the Internet.
>
>
>
> Best regards,
>
>
>
> Khaled Omar
>
>
>
> *From:* Musa Stephen Honlue [mailto:[email-masked]]
> *Sent:* Friday, November 11, 2016 7:22 PM
> *To:* Khaled Omar
> *Cc:* [email-masked]; [email-masked]
> *Subject:* Re: IPv10.
>
>
>
> Hi Khaled I read your blog post and are curious to see what value we gain
> in trying to save the IPv4 pool.
> Correct me if I didn't understand the problem you are addressing with this
> new IP standard.
>
>
>
> On Nov 11, 2016 17:08, "Khaled Omar" <[email-masked]> wrote:
>
> Hi all IETF members and the discussion panel,
>
>
>
> Hope you are all fine,
>
>
>
> I wish I’m not bothering you by my e-mails, but all what I’m asking you is
> to find a free time on your calendars so we can discuss, suggest, and
> participate in making the final version of the IPv10 draft and start
> experimenting its work, and once it will work efficiently and we find that
> it will bring a great value to the Internet, it can be standardized by the
> IETF.
>
>
>
> I’m not in rush in this sequence of work (maybe you have another sequence
> as I’m new to the IETF mailing list) but I’m curious to receive comments,
> suggestions, and modifications that will make a progress and eventually
> bring a value to the Internet.
>
>
>
> Thanks for welcoming me,
>
>
>
> Best regards,
>
>
>
> Khaled Omar
>
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>
>